// creator  : weidu.exe (version 23100)
// argument : XXXXYY.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~XXXXYY~

IF ~Gender(LastTalkedToBy,MALE)
RandomNum(3,1)~ THEN BEGIN 0 // from:
  SAY #48105 /* ~Hey, Sailor! Ready for a little shore leave adventure?~ */
  IF ~~ THEN EXIT
END

IF ~Gender(LastTalkedToBy,MALE)
RandomNum(3,2)~ THEN BEGIN 1 // from:
  SAY #48106 /* ~If you have a gold coin, then I have a heart of gold!~ */
  IF ~~ THEN EXIT
END

IF ~Gender(LastTalkedToBy,FEMALE)
RandomNum(3,1)~ THEN BEGIN 2 // from:
  SAY #48107 /* ~You may be wanting to see my male counterpart. He'll give you what you desire. I can't be obliging you.~ */
  IF ~~ THEN EXIT
END

IF ~True()~ THEN BEGIN 3 // from:
  SAY #48108 /* ~I wish I had a keg of rum.~ */
  IF ~~ THEN EXIT
END

IF ~False()~ THEN BEGIN 4 // from:
  SAY #53806 /* ~Well met! Are you looking for bit of fun? You seem to be a REAL man...~ */
  IF ~~ THEN REPLY #53807 /* ~In fact, I am looking for a girl named Claire. I believe she's in your line of business.~ */ GOTO 5
  IF ~~ THEN REPLY #53808 /* ~I could use a bit of fun. What did you have in mind?~ */ GOTO 6
  IF ~~ THEN REPLY #53809 /* ~Why don't you tell me how I might get into your Guildhouse. I have business to discuss with Lady Galvena.~ */ GOTO 7
  IF ~~ THEN REPLY #53879 /* ~Excuse me. I must be going.~ */ GOTO 13
END

IF ~~ THEN BEGIN 5 // from: 7.1 6.2 4.0
  SAY #53810 /* ~I'm not supposed to talk about that, dear. You don't want to get me into trouble, do you?~ */
  IF ~~ THEN REPLY #53822 /* ~Worry not. Anything that you tell me will not go beyond this.~ */ GOTO 14
  IF ~~ THEN REPLY #53823 /* ~I shall tell no one of what you tell me.~ */ GOTO 8
  IF ~~ THEN REPLY #53824 /* ~Of course not. You mentioned a good time? What did you have in mind?~ */ GOTO 6
  IF ~~ THEN REPLY #53825 /* ~In that case, why don't you tell me how I might get into your Guildhouse? I have business to discuss with Lady Galvena.~ */ GOTO 7
  IF ~~ THEN REPLY #53830 /* ~Perhaps a bit of coin could loosen your tongue.~ */ GOTO 8
  IF ~~ THEN REPLY #53880 /* ~Very well. I shall leave you be.~ */ GOTO 13
END

IF ~~ THEN BEGIN 6 // from: 5.2 4.1
  SAY #53826 /* ~For a reasonable fee, we could retire to my chambers at the Guildhouse. There, we shall explore the depths of our new-found friendship.~ */
  IF ~~ THEN REPLY #53827 /* ~How much would this cost me?~ */ GOTO 10
  IF ~~ THEN REPLY #53828 /* ~Instead of that, why don't you just tell me how I might get into your Guildhouse without a purchase? I have business to discuss with Lady Galvena.~ */ GOTO 7
  IF ~~ THEN REPLY #53829 /* ~That sounds interesting but perhaps you could pique my interest even more if you tell me about a girl named Claire. I believe that she is in your line of work.~ */ GOTO 5
END

IF ~~ THEN BEGIN 7 // from: 16.0 11.0 6.1 5.3 4.2
  SAY #53831 /* ~Without cause, there is no way in other than storming the place. However, you simply need to buy my services and we shall retire to my room within. You won't be allowed to wander, of course, but you will be within.~ */
  IF ~~ THEN REPLY #53832 /* ~How much will this cost?~ */ GOTO 10
  IF ~~ THEN REPLY #53833 /* ~That sounds interesting but perhaps you could pique my interest even more if you tell me about a girl named Claire. I believe that she is in your line of work.~ */ GOTO 5
  IF ~~ THEN REPLY #53834 /* ~Is there no other way? Surely there must be some way to gain entry.~ */ GOTO 12
END

IF ~~ THEN BEGIN 8 // from: 5.4 5.1
  SAY #53836 /* ~You promise that you shall tell no one that I have given this information to you?~ */
  IF ~~ THEN REPLY #53837 /* ~I promise.~ */ GOTO 9
  IF ~~ THEN REPLY #53839 /* ~I promise.~ */ GOTO 15
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #53840 /* ~Very well. Give me 200 gold. I am risking my life by telling you this and can accept no less.~ */
  IF ~~ THEN REPLY #53841 /* ~Here is you gold. What happened to Claire?~ */ GOTO 15
  IF ~~ THEN REPLY #53842 /* ~I don't have enough money.~ */ GOTO 11
  IF ~~ THEN REPLY #53876 /* ~It is more than I am willing to pay.~ */ GOTO 11
END

IF ~~ THEN BEGIN 10 // from: 7.0 6.0
  SAY #53843 /* ~It is hard to put a value on truly pleasing company such as my own. Let us say 100 gold.~ */
  IF ~~ THEN REPLY #53844 /* ~That's ridiculous! I will not pay!~ */ GOTO 11
  IF ~~ THEN REPLY #53845 /* ~Very well. Here is your payment. Shall we?~ */ GOTO 17
  IF ~~ THEN REPLY #53848 /* ~I'm afraid that I don't have enough coin.~ */ GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 14.0 10.2 10.0 9.2 9.1
  SAY #53849 /* ~I'm afraid that I cannot be of service to you.~ */
  IF ~~ THEN REPLY #53851 /* ~In that case, I need to gain entrance to your Guildhouse. I have to speak with Lady Galvena.~ */ GOTO 7
  IF ~~ THEN REPLY #53852 /* ~I thank you for your time. Farewell.~ */ GOTO 13
END

IF ~~ THEN BEGIN 12 // from: 7.2
  SAY #53853 /* ~Well, all of the masters have medallions of Galvena's symbol. They are allowed to come and go as they please.~ */
  IF ~~ THEN REPLY #53854 /* ~Hmm. Even if I had a medallion surely the guards would realize that I don't work for Galvena.~ */ GOTO 18
  IF ~~ THEN REPLY #53855 /* ~Where could one come by a medallion such as this?~ */ GOTO 19
END

IF ~~ THEN BEGIN 13 // from: 21.1 20.1 18.1 11.1 5.5 4.3
  SAY #53873 /* ~Farewell! Come and see me again sometime.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 14 // from: 5.0
  SAY #53877 /* ~It is too dangerous... I could be killed for telling you...~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 15 // from: 9.0 8.1
  SAY #53882 /* ~Claire was married to Sanik the Trader. He was going to take her away with him on the next ship out but he didn't count on Lady Galvena's nature. She killed him and took Claire from the docks where she waited.~ */
  IF ~~ THEN REPLY #53885 /* ~What would Galvena have done with Claire?~ */ GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY #53888 /* ~She has... cells in the Guildhouse. A cruel dark prison where she places those who displease her. Claire could be there or she could already be dead. Galvena does not allow us to leave.~ */
  IF ~~ THEN REPLY #53891 /* ~Then I shall need to enter the Guildhouse. How would I do this?~ */ GOTO 7
END

IF ~~ THEN BEGIN 17 // from: 10.1
  SAY #53897 /* ~We shall! If anyone should need to wait for you they are free to wait in Lady Galvena's Festhall. Let us go.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 18 // from: 21.0 20.0 12.0
  SAY #53899 /* ~Lady Galvena is always bringing in new employees and guards. If you had a medallion you could, perhaps, bluff your way in.~ */
  IF ~~ THEN REPLY #53927 /* ~Where, then, could I find one of these medallions?~ */ GOTO 19
  IF ~~ THEN REPLY #53928 /* ~Thank you for your assistance.~ */ GOTO 13
END

IF ~~ THEN BEGIN 19 // from: 18.0 12.1
  SAY #53929 /* ~All of the courtesan masters have them. Mostly, the master stay in the guildhouse. But wait! Chremy has been out for the last few days.~ */
  IF ~~ THEN REPLY #53933 /* ~Who is Chremy?~ */ GOTO 20
  IF ~~ THEN REPLY #53934 /* ~As a matter of fact, I've already killed Chremy.~ */ GOTO 21
END

IF ~~ THEN BEGIN 20 // from: 19.0
  SAY #53935 /* ~He's one of the crueler masters. He's been out of the guild to keep an eye on the new girl, Ginia. Poor girl, she only just 'joined' the guild. Chremy has been very harsh on her.~ */
  IF ~~ THEN REPLY #53936 /* ~Even if I had Chremy's medallion, wouldn't the guards know that I don't work there?~ */ GOTO 18
  IF ~~ THEN REPLY #53953 /* ~Thank you for the information.~ */ GOTO 13
END

IF ~~ THEN BEGIN 21 // from: 19.1
  SAY #53975 /* ~It is no more than he deserved. Use his medallion.~ */
  IF ~~ THEN REPLY #53976 /* ~Even with a medallion, would the guards not know that I do not work there?~ */ GOTO 18
  IF ~~ THEN REPLY #53977 /* ~Thank you for the information.~ */ GOTO 13
END

IF ~False()~ THEN BEGIN 22 // from:
  SAY #53978 /* ~M'lord. Here we are.~ */
  IF ~~ THEN REPLY #53979 /* ~Fine. Now tell me where I can find Claire.~ */ EXIT
  IF ~~ THEN REPLY #53980 /* ~Excellent. How can I move about without alerting the guards?~ */ EXIT
  IF ~~ THEN REPLY #53981 /* ~Good. Stay here. I must find Lady Galvena and, if the Lady is cooperative, Claire.~ */ EXIT
  IF ~~ THEN REPLY #54048 /* ~Fine. Now tell me where I can find Claire.~ */ EXIT
END

IF ~~ THEN BEGIN 23 // from:
  SAY #53982 /* ~She is in serious trouble. If Lady Galvena has allowed her to live I suspect that she's in the prison at the end of the hall. It is guarded well, however, and locked.~ */
  IF ~~ THEN REPLY #53985 /* ~Is there anything that I can do about the guards?~ */ EXIT
  IF ~~ THEN REPLY #53987 /* ~Is there anything that I can do about the guards?~ */ GOTO 24
  IF ~~ THEN REPLY #53994 /* ~Where might the key be found?~ */ EXIT
END

IF ~~ THEN BEGIN 24 // from: 23.1
  SAY #53995 /* ~Without a medallion there is no way that they would let you pass. You would have to kill them. I must say, if you wish to free Claire you put me in great danger.~ */
  IF ~~ THEN REPLY #53999 /* ~Worry not. I shall bring this guild to its knees and free you as well.~ */ EXIT
  IF ~~ THEN REPLY #54000 /* ~What do I care? You are nothing. I need Claire for the information that she could provide.~ */ EXIT
END

IF ~~ THEN BEGIN 25 // from:
  SAY #54002 /* ~You have a medallion that identifies you as a member of Lady Galvena's Guild. If you are a convincing liar, you may be able to walk about without the guards attacking you on sight.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 26 // from:
  SAY #54003 /* ~Still, they would neither allow you to access to the prison or to Lady Galvena's room. Unless...~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 27 // from:
  SAY #54021 /* ~I truly doubt that this would work but if you're willing to try it... I have a sleeping draught here. All of the courtesans do. Occasionally, Lady Galvena has us drug one of our guests and rob him... or worse.~ */
  IF ~~ THEN REPLY #54039 /* ~How underhanded!~ */ EXIT
  IF ~~ THEN REPLY #54041 /* ~Where is this leading?~ */ EXIT
END

IF ~~ THEN BEGIN 28 // from:
  SAY #54043 /* ~If you could find some way of getting this into the food or drink of the guards, maybe it would knock them out. Perhaps the cook will cooperate. I really don't know.~ */
  IF ~~ THEN REPLY #54044 /* ~Give me some of this draught and I'll see what I can do.~ */ EXIT
  IF ~~ THEN REPLY #54045 /* ~I doubt that that plan would work. Thank you for your help.~ */ EXIT
END

IF ~~ THEN BEGIN 29 // from:
  SAY #54046 /* ~Here then. Good luck. The kitchen is just a few doors down.~ */
  IF ~~ THEN EXIT
END
